Subject: Ticket Assigned - Late in delivering the order
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Mon, 25 Jul 2022 16:35:15 +0000

Hi Mohammed yahya,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Late in delivering the order  Contacted
Dear,
Yesterday I placed an order and they informed me that the delivery will be today so I waited until now then some one called me saying that the car is not working and the delivery will be tomorrow.
I explained to him I need to ship the goods by tomorrow afternoon and he should deliver the order today but his answer was I'll do my best to deliver it tomorrow.
I believe this is not a professional way to deal with the customers and I'm really thinking to cancel the order.

Sent from my iPhone https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4653984